Steganos II Security Suite

Steganos [greek]:
protected, protecting; concealed, concealing

Steganos II Security Suite
Online Help, Knowledge Base, and Background information

Introduction

Read the Introduction and learn why DEMCOM developed Steganos II Security Suite.

First steps

Beginner or professional - get a quick lead-in to the world of Steganos II with First steps.

Simply complete

No matter what you've heard about Steganos - there's even more. Read it in Features.

DEMCOM online

Visit DEMCOM online - our web site always has up-to-date information for private and commercial users. You may also add your name to our mailing list.

Copyright and Disclaimer

Customer service

Do you have questions or problems? Contact DEMCOM customer service.

We'd like to hear from you! Give us Feedback online!

Background

Did you know encryption has been used for centuries? Read History.

Secret services and hackers - informationon the most dangerous Data thieves.

Security and obscurity are not the same. Read which algorithms are being used in Steganos and why.


Introduction

With Steganos II Security Suite you have chosen a security system that goes far beyond everything you may have used on your PC. Steganos II Security Suite is a total security solution.

Today the technology of cryptography is wide-spread - it is the most important way to protect private data. But often encrypted data draws unwanted attention. Unreadable information is a magnet to hackers. Passwords are compromised; the solution to this problem can't be strong encryption alone.

This is where steganography comes into action. Steganography conceals the fact that there is sensible information. To accomplish this, data is first encrypted and then encoded into the background noise of other files. These files containing hidden data are called carrier files. These carrier files can be sound or graphic files.

Steganos II Security Suite combines the powerful techniques of cryptography (encrypt) and steganography (hide) in order to reach a maximum of security. This combination has already proven its worth: The first version of Steganos is wide-spread and is continuously awarded by the international press. For a good reason: the export restricted algorithms used in Steganos are the best ones available. Hackers and security experts who attempted to break Steganos' encryption failed although tremendous efforts have been made.

DEMCOM is proud to be a pioneer in the field of steganography. Due to many years of experience and exchange with our international partners and customers we are able to present Steganos II Security Suite which is decisively ahead. At the same time it can be used to decrypt data that has been encrypted by previous Steganos versions. Upgrades for users of older versions are available, too.

Whether on your PC at home, on the laptop, or in the office: The result of our efforts is a security package which integrates easily into your existing Windows system. That's why it naturally assists you in your daily work.

One of the new functions is the Steganos Safe. It behaves like a normal drive. You can save files from your word processor and even the internet directly into the Safe. Using the Safe is as easy as this: You press a hotkey (or click on the Safe symbol in the taskbar) and the whole drive disappears. After entering the right password your files are available again - exactly where you left them. You don't even recognize that strong encryption is working for you in the background.

Some other highlights are public key steganography and a brand new software defense against compromising rays, which are emitted by monitors and graphic cards. This is not a new threat at all, but it could only be combated with expensive hardware - until now.

In the name of our team and our partners I would like to thank you for placing trust in us and invite you to visit our web site at http://www.steganography.com.

sign_fh.gif (2236 Byte)
Fabian Hansmann
fabian@demcom.com
Product manager Steganos

P.S.: DEMCOM is serious about your requests. If you have questions, suggestions, or problems our customer service is always there for you.

Read on...


Scenarios

Steganos in the real world

Steganos II Security Suite solves the security problems of the real world.

The hacker and your credit card

Hacker gain access to your data via internet. Encrypted files are magnets to them. For these often juvenile freaks it's just a game - and the jackpot is your credit card number. But if you hide data using Steganos a possible intruder will not even find encrypted information. Data theft fails in the initial stage. Hiding data in existing files - the technique of steganography - has made Steganos 1.x world famous.

Lost your laptop?

You leave the train. At the station you recognize that your laptop is away. The tormenting question is now whether you simply left it behind after an exhausting business day or if it was a professional theft. The Steganos user does not care. Where ever your computer is - his data is protected by proven export restricted encryption algorithms.

The spy in your company

Consider the possibility that some of your employees prepare to start their own business. Make sure that you do not lose your customers because of them using your resources. No matter what size or sector of industry no company can easily cope with this scenario.

Data theft in the lawyer's office

Often you go without encryption because of laziness. It is often difficult to integrate existing solutions into a well-proven work process. Imagine a burglary in the lawyer's office. All the hard drives are stolen. Embarrassing isn't it? But data security can be archived so easily. All sensitive data is stored in the Steganos Safe and encryption is just a double click away. This is one reason why Steganos is used by an increasing number of lawyers world wide (see the New Yorker Law Technology News journal).

Email security in the editorial office

Informers trust in the journalist's capability to keep their secrets. A loss of confidence can be mortal to both sides. Secrets must stay secret. Especially when it comes to political issues secret services eavesdrop on your email conversation. Sometimes without being controlled by government. Emails are searched for keywords and if potentially sensitive data is found you can be sure that a third person reads your email.

Compromising rays

Intercepting compromising rays is an everyday technology used by secret services. All electronic devices emit compromising rays. These rays can be even used to recover a picture displayed on a monitor. Even if these rays passed walls and the receiver is many meters away. Steganos II makes this kind of eavesdropping more difficult by giving to you the ray defusing display.

ESL400-Scanner
ESL400 scanner: Hardware like this makes it possible to eavesdrop the contents of your monitor (e.g. from a van in front of your office or from the neighboring flat)

Removable media

They are very useful but without accurate precautions they are ticking time bombs. Think of diskettes being sent by ordinary mail, removable media drives being left unwatched, or a Zip drive* employed at a more or less public place. A hard drive is hard to remove but removable media fall a prey to thieves all too easily.

The government versus your privacy

Last but not least Steganos is the proof that encryption regulations are absurd and useless. Prohibition of encryption is not practicable even though it exists in many countries of the world.

* "Zip" is a registered trademark of the Iomega Corporation.

Related topics


Features

Steganos II Security Suite is the complete solution for your security needs. Read why.

Encrypt and hide

Steganos II encrypts all kinds of files and hides them within unsuspicious graphic-, sound-, text-, or HTML-files. Proven export restricted algorithms are extended by new technologies.

Windows integration

Important functions are accessible directly via Windows' context menus.

shot_ContextMenuCarrier.gif (5553 Byte)

Windows integration: A text file's context menu

Password Management

Save all your passwords, PINs, and access codes in one place and remember only one password. Strong encryption is used only in the Password Management, too: your passwords are secure. Additional features are: Invisibly agree on passwords with business partners and friends (InKA). Automatically generate secure passwords and save them on a chip card (chip card drive necessary). Carry them in your wallet - wherever you want.

Introducing TrustLink 3D

You share your business secrets with your colleagues, but your private data is nobody's business but your own. Create a TrustLink that links your private data to your business information: Now you have access to both areas. But you only need to enter the password for the more sensible area (your private data). The connections between linked files are displayed in a 3D view - an innovation by DEMCOM.

tl3d.gif (17110 Byte)

TrustLink 3D: You only need the password for the file of the highest security level - all less sensible files are accessible automatically

Compromising rays defused: Zero Emission Pad

Since decades international secret services use the fact that all electronic devices emit compromising rays. These rays can be used to recover a picture displayed by a monitor. Even if these rays passed walls and the receiver is many meters away. Together with our partner, the University of Cambridge (Great Britain), we offer to you the possibility to defuse these compromising rays via software (patent-pending "Soft-Tempest"). The text editor Steganos II Zero Emission Pad is the world's first Windows editor that supports the emission defusing display.

zep.gif (10927 Byte)

Zero Emission Pad: Conventional, interceptable screen output (top). Non-interceptable screen output in Steganos II (bottom).

The secure drive: Steganos II Safe

The Safe behaves like a normal drive. You can save files from your word processor or even files from the internet directly into the Safe. You press a hotkey and the drive disappears. It's as easy as that. Some cheaper products simply make the drive invisible - Steganos II Safe encrypts your data by using export restricted algorithms. Only by entering the correct password you regain access to your data - exactly where you have stored them.

Steganos II Safe: Double click on the symbol in the task bar and the Safe drive disappears

SysLock

It's lunch break and you're leaving your computer. Do not invite your colleagues to browse your hard drive. Lock up your PC - whenever you want by hotkey or automatically when you leave your workplace. After entering a password (or your chip card) Steganos II SysLock unlocks your system.

Shredder

Deleted files are not actually destroyed - even if you empty the recycle bin. If you really have to get rid of secret files the Steganos II Shredder comes into action. Files are destroyed irrevocably according to the standards of the U.S. department of defense. Unlike other products the Steganos II Shredder not only destroys the files' contents but their names, size information, date and time stamp and attributes, too.

Related topics


First steps

logo_kb.gif (1911 Byte)

First steps

This topic describes how you can accomplish some simple tasks with Steganos II Security Suite. All descriptions assume that you have just started the program.

Steganos stores encrypted files and folders in Steganos encrypted files. If you want to Steganos can hide files and folders in other unsuspicious files. These files are called carrier files.

Encrypt files

  1. Click on icon_hide.gif (1155 Byte) Hide / Encrypt.
  2. Now the Secure Space can receive all files that are to be encrypted. Put all the files that you want to encrypt into the secure space. Select the files in the Steganos Explorer and click on icon_MoveToSecureSpace.gif (1342 Byte).
  3. You will be asked if you want to wipe the original files from your hard drive. Click on Yes if you want the original files to be wiped. Repeat steps 2 and 3 as often as you want. Of course you can also move and/or copy folders into the Secure Space.
  4. Click on icon_EncryptOnly.gif (1221 Byte) if not already activated.
  5. Click icon_CloseAndSecure.gif (1069 Byte) when all desired files are in the Secure Space. In the following dialog select a file name for the Steganos encrypted file. Steganos encrypted files have the extension SEF. Click on OK when finished.
  6. The password dialog is displayed. Enter the password to be used to encrypt the data and confirm your input in the second edit field. While you enter the password Steganos rates the quality of the password. The higher the amount of bits is the more secure is your password. Click on OK to proceed.
  7. Finished. Your data is now encrypted.

Decrypt encrypted files

  1. Click on icon_unhide.gif (1155 Byte) Unhide/Decrypt.
  2. In the dialog choose the Steganos encrypted file (SEF-file) you want to decrypt. Click on OK when finished.
  3. The password dialog is displayed. Enter the password which was used to encrypt the data into the SEF-file. Note that passwords are case sensitive. Click on OK when finished.
  4. If the correct password is entered the file is decrypted and it's contents is displayed in the Secure Space.
  5. You may use you files and folders directly in the Secure Space without having to copy them from this place. Double click the files you want to open. You can add additional files to the SEF-file.
  6. When you are finished click on icon_CloseAndSecure.gif (1069 Byte). The SEF-file will be encrypted with the entered password and the Secure Space is closed.

Hide files

  1. Go through steps 1 to 3 as described in the Encrypt files section.
  2. Click on icon_HideAndEncrypt.gif (1352 Byte) if not already activated.
  3. Click icon_CloseAndSecure.gif (1069 Byte) when all desired files are in the Secure Space. The carrier file wizard is displayed.
  4. Select Automatic carrier file search and click on Next. Click on Search.
  5. Steganos searches your computer for files that can carry all files in the Secure Space. Choose a carrier file and click Finish. If no carrier files are found click here .
  6. Proceed with step 6 as described at Encrypt files.

Decrypt hidden files

  1. Proceed as described in the Decrypt encrypted files section and choose a carrier file that carries encrypted data in spite of an SEF-file.

Wipe files

  1. Steganos II Security Suite can wipe files and folders at any time. Select the files to be wiped in the Windows Explorer.
  2. Click the right mouse button on one of the selected files. Choose wipe... from the Steganos sub menu. The Steganos Shredder is executed and displays a list of all selected files. Confirm your selection by clicking on Wipe... and click on Yes.
  3. Finished. The selected files are irrevocably wiped.

Manage passwords

  1. Store all your passwords in one encrypted file. Remember only one password for accessing all other passwords. Click on Password Management in the component bar .
  2. Click on icon_AddPassword.gif (1007 Byte) to add a new password entry to the password list. The edit password dialog appears.
  3. Enter a short description of the password, e.g. Attaché case code. Into the password field enter the password, PIN, or code. Click on OK.
  4. Click on icon_CloseAndSecure.gif (1069 Byte). Enter a name and location for the Steganos encrypted file that should contain the password list. These files have the extension SEF. Click on OK.
  5. The password dialog is displayed. Enter the password to be used to encrypt the data and confirm your input in the second edit field. While you enter the password Steganos rates the quality of the password. The higher the amount of bits is the more secure is your password. Click on OK to proceed.
  6. You will be asked if you want to use the saved file as your standard password file. Click on Yes. From now on this file will be opened when you start the Password Management - after entering the correct password, of course.

Related topics


Information for upgraders

If you are already experienced in using Steganos 1.0 or 1.5 upgrading to Steganos II will be no problem for you. The program has been streamlined to be more user friendly. For example you no longer have to search carrier files on your own. The carrier file wizard automatically finds the appropriate carrier file. from you now. Get started immediately and easily by taking first steps.

Decrypting old files

Steganos II Security Suite is able to decrypt files that are hidden and/or encrypted by former versions. Enter Steganos Decryptor which looks and feels like Steganos 1.x in order to enable a smooth upgrade to the new version.

Updates

As a registered user you are entitled for Update licenses.

Related topics


Haftungsausschluss

logo_kb.gif (1911 Byte)

Disclaimer

(I) WARRANTY LIMITATIONS

THIS SOFTWARE AND ACCOMPANYING WRITTEN MATERIALS (INCLUDING INSTRUCTIONS FOR USE) ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. FURTHER, FABIAN HANSMANN/SASCHA WILDGRUBE/GABRIEL YORAN GESELLSCHAFT FUER EDV-DIENSTLEISTUNGEN UND SOFTWARE-ENTWICKLUNG GBR, DEMCOM AND CENTURIONSOFT (HEREINAFTER REFERRED TO AS DEMCOM AND CENTURIONSOFT) DOES NOT WARRANT, GUARANTEE, OR MAKE ANY REPRESENTATIONS REGARDING THE USE, OR THE RESULTS OF USE, OF THE SOFTWARE OR WRITTEN MATERIALS IN TERMS OF CORRECTNESS, ACCURACY, RELIABILITY, CURRENTNESS, OR OTHERWISE. THE ENTIRE RISK AS TO THE RESULTS AND PERFORMANCE OF THE SOFTWARE IS ASSUMED BY YOU. IF THE SOFTWARE OR WRITTEN MATERIALS ARE DEFECTIVE YOU, AND NOT DEMCOM OR CENTURIONSOFT OR ITS DEALERS, DISTRIBUTORS, OR AGENTS, ASSUME THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR, OR CORRECTION.

THE ABOVE IS THE ONLY WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, THAT IS MADE BY DEMCOM OR CENTURIONSOFT, ON THIS DEMCOM/CENTURIONSOFT PRODUCT. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY DEMCOM OR CENTURIONSOFT, ITS DEALERS, DISTRIBUTORS, OR AGENTS SHALL CREATE A WARRANTY OR IN ANY WAY INCREASE THE SCOPE OF THIS WARRANTY AND YOU MAY NOT RELY ON ANY SUCH INFORMATION OR ADVICE.

NEITHER DEMCOM NOR CENTURIONSOFT NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION OR DELIVERY OF THIS PRODUCT SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES (INCLUDING DAMAGES BY TRANSPORTATION OF COMPUTER VIRUSES OR "TROJAN HORSES", LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, AND THE LIKE) ARISING OUT OF THE USE OR INABILITY TO USE SUCH PRODUCT EVEN IF DEMCOM OR CENTURIONSOFT HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

(II) CRYPTOGRAPHY RESTRICTIONS

DEMCOM OR CENTURIONSOFT ARE NOT LIABLE FOR ANY FORBIDDEN EXPORT, IMPORT, OR USE OF THE STEGANOS (TM) II SECURITY SUITE OR PARTS OF IT.

THE U.S. GOVERNMENT CLASSIFIES ENCRYPTION SOFTWARE AS MUNITIONS. ENCRYPTION SOFTWARE HAS RESTRICTIONS FOR EXPORT. BECAUSE OF THE CRYPTOGRAPHY ALGORITHM IMPLEMENTED IN STEGANOS II SECURITY SUITE IT IS REGARDED AS "STRONG CRYPTOGRAPHY".

THIS PROGRAM MAY NOT BE EXPORTED FROM THE USA AND CANADA AND POSSIBLY SOME OTHER COUNTRIES. THIS APPLIES ONLY TO CUSTOMERS PURCHASING THE PRODUCT WITHIN THE USA OR CANADA. INTERNATIONAL VERSIONS OF THE PRODUCT - WHICH HAVE NOT BEEN EXPORTED FROM THE USA - ARE AVAILABLE IN NON USA MARKETS.

(III) ACKNOWLEDGMENT

BY USING THE STEGANOS II SECURITY SUITE AND THE TOOLS DELIVERED WITH THE SUITE YOU ACKNOWLEDGE THAT YOU HAVE READ THIS LIMITED WARRANTY, UNDERSTAND IT, AND AGREE TO BE BOUND BY ITS' TERMS AND CONDITIONS. YOU ALSO AGREE THAT THE LIMITED WARRANTY IS THE COMPLETE AND EXCLUSIVE STATEMENT OF AGREEMENT BETWEEN THE PARTIES AND SUPERSEDE ALL PROPOSALS OR PRIOR AGREEMENTS, ORAL OR WRITTEN, AND ANY OTHER COMMUNICATIONS BETWEEN THE PARTIES RELATING TO THE SUBJECT MATTER OF THE LIMITED WARRANTY.


System requirements

logo_kb.gif (1911 Byte)

System requirements

bulletgray.gif (816 Byte) Pentium processor or comparable CPU

bulletgray.gif (816 Byte) 16 MB RAM

bulletgray.gif (816 Byte) Hard drive space: approx. 7 MB for Steganos II Security Suite, additional approx. 20 MB for Internet Explorer and approx. 3 MB for CosmoPlayer

bulletgray.gif (816 Byte) Windows 95, 98 or NT 4.0

bulletgray.gif (816 Byte) Microsoft Internet Explorer 4.0 or later (not necessary with Windows 98 or later)

bulletgray.gif (816 Byte) Screen resolution 800x600 or higher with 256 colors (or more), 65.536 colors, HiColor (or higher) for Zero Emission Pad

bulletgray.gif (816 Byte) Mouse or any other Windows compatible pointing device

Supports

bulletgray.gif (816 Byte) Cosmo Player 2.1 or later for TrustLink 3D

bulletgray.gif (816 Byte) TOWITOKO I2C-Memorycard compatible chipdrive for chipcard support

bulletgray.gif (816 Byte) Scanner with TWAIN interface

bulletgray.gif (816 Byte) Windows compatible soundcard

downl.gif (150 Byte) Download Internet Explorer

downl.gif (150 Byte) Download CosmoPlayer


Copyright

logo_kb.gif (1911 Byte)

logo_s2.gif (5764 Byte)

Copyright © 1996-1999 DEMCOM (Hansmann/Wildgrube/Yoran GbR). All rights reserved.

Developed by Daniel Germanus, Fabian Hansmann, Alexander Paluch, Sascha Wildgrube, and Gabriel Yoran.

Patent GB 9801745.2 (pending) licensed from the Cambridge University Computer Laboratory, England.

Export-restricted.

The cast

logo_demcom.gif (2166 Byte)

http://www.steganography.com

All company or product names named in the program or the documentation/help can be registered trademarks without being explicitly marked as such.


Credits

logo_kb.gif (1911 Byte)

  logo_s2.gif (5764 Byte)

Development
Daniel Germanus
Fabian Hansmann
Alexander Paluch
Sascha Wildgrube
Gabriel Yoran

Soft-Tempest
Dr. Ross Anderson
Markus G. Kuhn

Compression
Mark Adler
Jean-loup Gailly

Mathematical functions
Henrik Johannson

Additional functions
Iuri Apollonio
Tim Johnson
Thomas W. Lipp
Chris Maunder
Steve Reid
Kirk Stowell

Localisation Italy
Massimo Arrigoni

Special Thanks
Jens Driese
Fabien Petitcolas
Joel Prichard
Max Wildgrube

Henrik Johannson's BigNum sources


Steganos Explorer - Einführung

logo_kb.gif (1911 Byte)

icon_SteganosExplorer.gif (1249 Byte) Steganos Explorer

shot_SteganosExplorer.gif (20007 Byte)

Quick introduction

In the First steps section you'll find a quick introduction into the usage of the Steganos Explorer. You should read this before continuing.

Overview

Click on the Steganos Explorer button in the component bar . If it is not yet displayed the Steganos Explorer will appear.

The Steganos Explorer is made up of two parts:

  1. It contains a view of your hard drive in the upper pane (similar to the Windows Explorer). In this pane you select these files and folders you want to encrypt or hide.
  2. In the lower pane you can see the Secure Space . In this pane you put together the content of a file to hide/encrypt. All files and folders you copy or move to the secure space will be encrypted/hidden.

However before you can access the Secure Space you'll need to decide whether you want to icon_hide.gif (1155 Byte) hide/encrypt data or icon_unhide.gif (1155 Byte) unhide/decrypt it.

Read which functions Steganos Explorer offers.

Related topics


Steganos Explorer - Funktionen

logo_kb.gif (1911 Byte)

icon_SteganosExplorer.gif (1249 Byte) Functions of the Steganos Explorer

General functions

icon_navigateto.gif (972 Byte) Select drive or folder to navigate to

Using this function you can chose any drive or any folder to display in the Steganos Explorer.

icon_UpDir.gif (990 Byte) Change to parent folder

Changes to the parent folder. If the current folder is c:\windows\media, Steganos changes to the folder c:\windows.

icon_Delete.gif (961 Byte) Delete file or folder

Deletes selected files or folders (after your acknowledgement).

icon_properties.gif (1009 Byte) Display file or folder properties

Displays the properties windows of the selected file or folder (including the Extended file properties ).

icon_views.gif (1000 Byte) Change view type

Changes between the different views in Steganos Explorer: You may choose between Large icons, Small icons, List, and Details (as in Windows Explorer).

icon_CopyToSecureSpace.gif (1308 Byte) Copy selected files/folders to the Secure Space

After clicking on this button all selected files and folders are being copied to the Secure Space . Alternatively you can drag the selected files to the Secure Space using the left mouse button. This function is only available when the Secure Space is open.

icon_MoveToSecureSpace.gif (1342 Byte) Move selected files/folders to the Secure Space and shred original files/folders

After clicking on this button all selected files and folders are being moved to the Secure Space . Alternatively you can drag the selected files to the Secure Space using the right mouse button and then select the corresponding function in the context menu that will appear. The original files and folders will be wiped after they have been moved to the Secure Space. This function is only available when the Secure Space is open.

Functions in the Secure Space

icon_process.gif (1112 Byte) Choose whether you want to hide/encrypt data or unhide/decrypt data

Clicking on this button you'll get a menu with which you can select the desired process. When you choose Hide/Encrypt... the Secure Space opens and you can copy or move the desired files and folders into the Secure Space. If you choose Unhide/Decrypt... you can choose a SEF file or carrier file to decrypt. Read how to go on in First Steps .

icon_HideAndEncrypt.gif (1352 Byte) and icon_EncryptOnly.gif (1221 Byte) Encrypt (and hide) files and folders in the Secure Space

Before closing the Secure Space you need to decide whether you only want to encrypt or also hide the contents of the Secure Space. Activate the corresponding button. If you want to encrypt and hide you will have to choose a carrier file to hide the data within after closing the Secure Space. If you only want to encrypt you'll have to enter the name of an SEF file .

icon_UpDir.gif (990 Byte) Change to parent folder

Changes to the parent folder in the Secure Space.

icon_Delete.gif (961 Byte) Delete file or folder

Deletes selected files or folders in the Secure Space (after your acknowledgement).

icon_properties.gif (1009 Byte) Display file or folder properties

Displays the properties windows of the selected file or folder in the Secure Space (including the Extended file properties ).

icon_views.gif (1000 Byte) Change view type

Changes between the different views in the Secure Space: You may choose between Large icons, Small icons, List, and Details (as in Windows Explorer).

icon_explore.gif (966 Byte) Open Secure Space in Windows Explorer

Opens a new Windows Explorer to show the contents of the Secure Space in it.

icon_quickview.gif (977 Byte) View carrier file

Runs the program associated with the carrier file to display the carrier file . If the carrier file is a bitmap graphic the associated graphics program is being started. This function is only available when icon_HideAndEncrypt.gif (1352 Byte) is activated.

icon_sendmail.gif (964 Byte) Send current carrier file/encrypted file via email

Sends the current carrier file or SEF file via email. A new email is being created and this email will get the file as an attachment. This function is only available on computers which have MAPI installed (e.g. by Microsoft Outlook).

icon_ChangePw.gif (997 Byte) Change password of current carrier file/encrypted file

After you have decrypted an encrypted file you can change the password used. Click on this button to do so. You will be asked to enter the new password twice. Then click OK. When you're closing the Secure Space the file is being encrypted with the new password.

icon_trustlinkmenu.gif (1066 Byte) Display TrustLink menu

Clicking on this button displays a menu by which you can reach different TrustLink functions. Click on New TrustLink... to add a new TrustLink to the current carrier file/SEF file. Click on Show TrustLink 3D to display the TrustLink 3D tree .

icon_CloseAndSecure.gif (1069 Byte) Encrypt (and hide) all files/folders

When you're finished putting the files to encrypt/hide together you click on this button. The files and folders will be encrypted (and hidden, if selected) then. When you chose to hide your data the Carrier file wizard will be started. If you only want to encrypt you'll be asked for the name of the SEF file to be created. In every case you'll be asked for a password which you have to enter twice. Then the Secure Space will be closed.

When you click on icon_CloseAndSecure.gif (1069 Byte) after you have decrypted a carrier file or SEF file you will not be asked for any more input. Steganos applies the changes you might have made to the files in the Secure Space to the existing carrier file/SEF file and closes the Secure Space. The password will be the same you entered to decrypt the file.


Windows integration - extended context menus

logo_kb.gif (1911 Byte)

Extended context menus

You do not always have to start the whole Suite in order to encrypt and decrypt quickly. In many cases it is sufficient to use the extended context menus in the Windows Explorer.

The extended context menus are available wherever Windows offers file context menus. Click the right mouse button on a file in the Windows Explorer and choose the submenu Steganos.

shot_ContextMenuCarrier.gif (5553 Byte)

Context menu of a text file

shot_ContextMenuSEF.gif (4817 Byte)

Context menu of a SEF file

Depending on the type of file(s) you selected you get the following functions:

Encrypt...

If you select Encrypt... Steganos will be started and the selected file(s) will be copied to the Secure Space. Then you will have to enter a file name for the Steganos Encrypted File (SEF) and a password for encryption. After that you'll be asked whether to wipe the original file(s). This function can be applied to any amount of files and folders.

Hide...

Function as described in Encrypt..., but instead of a Steganos Encrypted File you'll be asked for the file name of a carrier file in which you want to hide the selected file(s) within.

Decrypt...

This function is only available if you selected a potential carrier file or Steganos Encrypted File (SEF). After clicking on Decrypt... Steganos is being started and you'll be asked for the password. After entering the correct password the contents of the SEF or the carrier file are being decrypted to the Secure Space. You may edit these files in the Secure Space then.

Decrypt here...

Function similar as described in Decrypt.... But clicking on Decrypt here... Steganos will decrypt the selected SEF or carrier file to a folder with the same name. For example: You click the right mouse button on 'Tax return.SEF' and select Decrypt here.... After entering the correct password, Steganos creates a new folder in the folder in which 'Tax return.SEF' is. This folder will be named 'Tax return'. Steganos will decrypt the contents of 'Tax return.SEF' into this new folder. You can also use this function on carrier files.

Hide data in this file...

This function is only available if the selected file is a potential carrier file and has enough space to carry hidden data. The free space in the carrier file is displayed in the context menu. If you click on this function Steganos will be started and the selected file will be set as the carrier file. You may then start putting together the files/folders to hide in the Secure Space.

Shred...

Click on Shred... to irrevocably delete the selected file(s) and folder(s). The Steganos Shredder will be started and the files/folders selected will be listed. If you're sure you want to shred click on the Shred... button. Acknowledge the security request by clicking on Yes. This function can be used with any amount of files and folders.

Related topics


Windows integration - extended file properties

logo_kb.gif (1911 Byte)

Extended file properties

Steganos II Security Suite extends the Windows Explorer file properties window by an additional page labeled Steganos. Activate this page by clicking the right mouse button on a file or a folder in the Windows Explorer and choose Properties. Then click on the tab named Steganos. The following dialog page will appear:

shot_PropPage.gif (8744 Byte)

This page displays the fingerprint of the selected file or folder. You can make sure that the file you have sent to a colleague has not been modified during transfer by comparing the 40 characters long fingerprint on the phone. If at least one bit of any file is different the whole fingerprint will change.

Drag and drop a file on the Steganos page to compare the dragged file with the selected one. This procedure works with folders, too. The fingerprint of a folder corresponds to all the files in the folder.

Note: The fingerprint is generated from the contents and the name of the file. Date and time stamp and attributes are ignored.


TrustLink 3D - Introduction

logo_kb.gif (1911 Byte)

TrustLink 3D - Introduction

What is a TrustLink?

A TrustLink is a shortcut to another file. Every Steganos encrypted file and carrier file can contain TrustLinks and thus link to other files. But a TrustLink is more than a shortcut. A TrustLink also contains the password of the linked file.

The smallest possible TrustLink network consists of two files: A carrier file or a Steganos encrypted file that contains a TrustLink to one other file. Imagine the linked file contains sensible business information - the last quarter's numbers or other important company secrets. Only you and your closest colleagues are authorized to access these files and therefore only these persons know the password.

Of course, there is information that must not be accessed by anyone but you. Save them invisibly in a carrier file and encrypt them by a different password.

From your point of view there are two files of different security levels. One file is accessible only by you (high security level) and the other file is accessibly by a group of persons (lower security level). TrustLink allows you to create a link inside the high security level file that points to the lower security level file. This TrustLink contains path and password of the linked file. When you open the high security level file access to lower security level files is granted instantly.

What is TrustLink 3D?

TrustLink 3D is the new and on the date of it's release unique system for display, editing, and managing TrustLinks. All files that are directly or indirectly linked by the TrustLink 3D tree's root file are displayed as a 3 dimensional interactive graphic. TrustLink 3D allows fast and comfortable navigation in your TrustLink network.

Related topics


TrustLink 3D - Using TrustLinks

logo_kb.gif (1911 Byte)

Using TrustLink 3D

The TrustLink 3D tree

Blue file cubes and TrustLink arrows

Every file in the TrustLink 3D tree is displayed as a blue cube. If it is a GIF or JPG file the corresponding picture is mapped on the cube's surface. If the file contains TrustLinks blue arrows point to other files. Each blue arrow symbolizes a TrustLink.

Small red cube at blue cubes

If a TrustLink points to a Steganos encrypted file or a carrier filer and the password saved with the TrustLink is not correct or the carrier file does not actually contain data a small red cube is added to the file cube.

Small yellow cubes at blue cubes

A small yellow cube at a file cube shows that the fingerprint saved with the TrustLink which points on this file does not match the pointed file. If you modify files in the TrustLink 3D tree the file pointing on the modified file receives a yellow cube.

Red spheres

A red sphere shows that the file the TrustLink points to does not exist at the specified location.

Pink spheres

If a TrustLink points to a file that already exists on a higher level in the TrustLink 3D tree this file is displayed a pink sphere. If you see at least one pink sphere your TrustLink network is not a tree but a ring. This means that all files may be accessible from any other file in this network. Check if this is actually what you have intended. If this is the case a lower security level file may link to a higher security level file.

Navigation in 3-dimensional space

When you need help on navigating in 3-dimensional space refer to the VRML viewer's documentation (e.g. Platinum's CosmoPlayer TM).

Related topics


TrustLink 3D - Functions

logo_kb.gif (1911 Byte)

TrustLink 3D - Functions

Open file containing TrustLinks

Opens a file that contains TrustLinks. The chosen file will be used as the root of the TrustLink 3D tree.

Update TrustLink 3D tree

If you modify files that are currently displayed in the TrustLink 3D tree you may update the display in order to visualize your modifications. If you modify one of these files via TrustLink 3D the tree is automatically updated.

Demo

Click here to create and display a small TrustLink 3D tree. Feel free to experiment with these files. Create new TrustLinks, delete and edit existing TrustLinks.

TrustLink 3D context menu

When you click on a file in the TrustLink 3D tree a context menu pops up which offers you all important TrustLink functions.

Edit TrustLink to <file>

Choose this functions to edit the TrustLink that points on the chosen file. Note that by this action you modify the file actually containing the TrustLink not the chosen file (the file the TrustLink points to).

Set as root

Sets the chosen file as the root of the TrustLink 3D tree. By doing this you can examine a smaller subtree of your TrustLink network.

Add TrustLink

Adds a new TrustLink to the chosen file.

Delete TrustLink

Deletes the TrustLink that points on the chosen file. Note that by this action you modify the file actually containing the TrustLink not the chosen file. No files are deleted by this action.

Wipe <file>

Choose this function to irrevocably delete (wipe) the chosen file.

Update fingerprint

Every TrustLink contains a fingerprint of file it points to. By this function you can manually update the fingerprint which is saved with the TrustLink. If a small yellow cube is displayed at the file cube the fingerprint saved with the TrustLink does no longer match the linked file.

Open <file> in Steganos Explorer

Opens the chosen file in the Steganos Explorer .

Open <file> in Password Management

Opens the chosen file in the Password Management . Because TrustLinks are specialized password entries and therefore part of the password list you can edit and manage them in the Password Management, too.

Related topics


Password Management - Introduction

logo_kb.gif (1911 Byte)

Steganos Password Management

The Password Management manages all your passwords: user accounts, credit card codes, access code to your online service, TANs, the security code of your mobile phone. Passwords and access numbers are omnipresent and you must remember all of them. The Password Management allows you to manage all the information in one place. The only password you have to remember is the password to your password list which grants you access to all stored passwords. Your password list is encrypted, of course.

Indirectly the Password Management solves two other problems:

  1. In many places you can choose a password by yourself. Often the same password is used at different places because one can't remember all the passwords and some passwords are needed seldom. If unauthorized persons take possession of this single password they do not only have access to one service or secret but to all. The Password Management brings an end to this problem because you do not have to remember all the passwords.
  2. Sometimes insecure passwords are used. The Password Management allows you to generate secure passwords. These secure passwords consist of virtually random characters which makes them difficult to remember. But with the Password Management this is no problem any more.

Related topics


Password Management - Functions

logo_kb.gif (1911 Byte)

icon_SteganosExplorer.gif (1249 Byte) Password Management - Functions

New password list

Creates a new password list .

Open password list...

Opens an existing password list from a Steganos encrypted file or carrier file or reads the password list from the currently inserted SmartCard . Refer to Local file/SmartCard.

Encrypt password list...

Encrypts and saves the password list into a Steganos encrypted file or on the currently inserted SmartCard. Refer to Local file/SmartCard.

Hide password list in carrier file...

Hides and encrypts the password list in a carrier file. If the password list from the SmartCard is currently displayed this option is disabled.

Change password of password list...

You can change the password that is used to encrypt the password list in a Steganos encrypted file, carrier file, or SmartCard. Read about choosing a good password .

Add new password entry...

Creates a new password entry and adds it to the currently displayed password list. There are different types of password entries . If you click on the small arrow you can choose the type of the new password entry. By default a standard password entry is created.

Delete password entry...

Deletes the selected password entries from the currently displayed password list.

Edit password entry...

Opens the dialog editing the password entry .

Copy password entry

Creates an exact copy of the password entry and adds it to the password list.

Generate password

Allows you to generate actually secure passwords.

InKA (Invisible Key Agreement)...

Activates the InKA wizard which guides you through the process of invisible key agreement with a communication partner.

Local file/

Choose whether the password list of the currently open file or the password list from the SmartCard is to be displayed. The Functions open, encrypt, hide, and change password refer to the currently displayed password list.

Copy password entry from/to SmartCard

If the password list from the currently open file (local file) is displayed the selected password entries are copied to the password list from the SmartCard. If the password list from the SmartCard is displayed the selected password entries are copied to the password list from the local file.

Related topics


Edit a password entry

logo_kb.gif (1911 Byte)

Edit a password entry

In the edit password dialog you can modify all properties of a password entry. Depending on the type of the password entry different properties are available.

Name

Name of password entry.

Password

This is the password itself. It can be an access code, a PIN, a secret number, or any other sensible information. It is only displayed in this dialog so that a short glance at your open password list does not reveal any secrets.

* Switch hidden display on/off

Chooses from hidden or normal password display. Note that you can't copy the password to clipboard by a short cut while hidden display is activated.

Copy to clipboard

Copies the password to the clipboard. So you can copy the password into another program while the password remains invisible.

Infos

You can enter anything you want here.

Valid until

Here you can enter an expiry date. The expiry date is displayed in the password list. It solely serves as a reminder. It should motivate you to change your passwords frequently.

Generate

You can think out a password or let Steganos generate a virtually safe password. It can be directly saved to the password entry.

Delete entry

Deletes the currently displayed password entry. If the password entry was just created this button is invisible.

Details

On the second page you can modify additional properties. These properties depend on the type of the password entry.

Related topics

Password Management


How can I invisibly agree on a password with someone?

InKA (Invisible Key Agreement) gives you the possibility of invisibly agreeing on a password with a communication partner. You may use such a password to exchange Steganos encrypted files later. Of course you can use such a password for different means, too. An internet connection to a key server is not necessary. This connection would already reveal the fact that you want to start a communication.

You can start InKA by opening the Password Management and clicking on [image]. InKA uses a user-friendly wizard. This wizard will guide you through the process of the key agreement.

Note: An InKA key agreement must be started by one of two partners. It is not possible for two persons to simultaneously start a communication. If that happens InKA will notify you with an error message.

Note: To ensure security it is necessary that carrier files used for key exchange are not manipulated on their way to the recipient by a third party. Most eavesdroppers - especially secret services - do not want to be discovered, so they won't change these files. Steganos also gives you the possibility to check the integrity of two files by using Digital fingerprints.

InKA is based upon an idea of Dr. Ross Anderson (University of Cambridge, Great Britain).

Related topics


Generate passwords

Steganos can automatically generate secure passwords. In order to use the password generation wizard open the Password Management and click on [image] .

Number of characters

Choose how many characters the generated password should have. 5 characters is set as default.

use lowercase letters

If this option is activated the password may contain lowercase letters. This option is activated by default.

use UPPERCASE letters

If this option is activated the password may contain uppercase letters. This option is activated by default.

Use numbers

If this option is activated the password may contain numbers. This option is activated by default.

Use special characters

If this option is activated the password may contain special characters. This option is deactivated by default because some online services do not allows special characters in their passwords.

Security of a password generated with these options

The bar displays the security of the password to be generated. If the bar meets the right margin maximum security is reached.

Note: The more characters you allow the more secure will the generated password be. In general longer passwords consisting of random characters are more secure.

If you have finished your settings click on Next. You will then be asked to move the mouse. The mouse movement is used to generate random data for the password generation. In the next screen you can see the generated password by clicking on the *-button. If Copy password to clipboard is activated the password will be copied to clipboard when you click on Finish.

Note: You do not have to use automatic password generation, of course. You can think out passwords by yourself as well.

Related topics


Steganos Safe - Introduction

logo_kb.gif (1911 Byte)

Steganos Safe

Simply move your important files into the Safe. The Safe is like an additional hard drive with a little difference: Your data is being stored encrypted. Upon opening the Safe, the program adds a new drive to the system which you can use as you're used to: You can run programs, work on documents, create folders, etc. When the Safe is closed the drive disappears and the content is automatically being encrypted.

Please consider the following issues when using the Safe

  1. Close all files in the Safe before you close it. If files are still in use inside the Safe it can't be closed.
  2. Do not install applications into the Safe. It is possible that an installation takes damage when you run installed programs when the Safe is closed.
  3. The capacity of the Steganos Safe depends on two values. The complete contents must fit into the Windows temp directory and the drive that contains the Documents folder must have enough free space to store the encrypted data to. If there is insufficient free space available close the Safe and move the file SteganosSafe.sef from the Documents folder to a folder on another drive that has enough free space. When opened the Safe asks you for the folder into which the file has been moved. You can specify any other folder as well - a new Safe file will be created there.

Related topics

Safe configuration


Steganos Safe - Configuration

logo_kb.gif (1911 Byte)

Steganos Safe - Configuration

Open Safe immediately on start

Choose this option if you want the Safe to be opened right away on startup.

Start minimized

If this option is activated the Safe's main window is not displayed after startup.

Change password

Click here to enter a new password for encryption. If the Safe is closed you first have to enter the old password to open the Safe. Then you can enter a new password.

Safe drive

Specifies the drive letter to be associated with the Safe drive.

Hotkey to open and close the Safe

Specifies the hotkey to open and close the Safe quickly. Make sure that this hotkey is neither used by any other application nor Windows itself.

Launch Explorer after opening the Safe

Starts the Windows Explorer displaying the Safe drive when the Safe is being opened.

Related topics

Steganos Safe


Steganos Shredder - Introduction

logo_kb.gif (1911 Byte)

icon_SteganosShredder.gif (1234 Byte) Steganos Shredder - Introduction

Why wipe files?

Deleting a file on most computers does not really remove or overwrite the file. MS-DOS and Windows 3.1 only replace the first character of the filename is by a E5h character - doing this the computer knows it can overwrite this file when the space is needed - not before.

When using Windows 95/98/NT data security is even worse: When you delete a file using the Explorer the file is simply moved to a hidden directory named "Recycled", better known as the "Recycle Bin". Even if you empty the bin the files aren't really deleted. They can be recovered using certain file recovery programs.

How does Steganos Shredder wipe files?

Data destruction in Steganos and the Steganos Shredder conform to the U.S. Department of Defense norm DoD 5220.22-M/NISPOM 8-306 and goes above and beyond this norm. First the file's content is being overwritten, once with all bits '1', then with all bits '0', and finally with random data. Since unused space behind the end of a file ("slack") could contain data, this area is also overwritten by the Steganos Shredder. Then the file will be renamed so one cannot draw conclusions from the original filename. The file's attributes are being removed, the file size is being set to zero, and file date and size are being reset. Then the file entry which has become useless is being deleted. Finally it is checked whether the deletion was successful.

Overwriting information with random data makes drive compression drivers really write the data. Normally these drivers don't do multiple writing of the same data for performance reasons. In addition to that random data makes it more difficult to restore data using electron tunnelling microscopes.

Steganos and the Steganos Shredder use the same functions to wipe files.

Note: Since modern operating systems (such as Windows 95/98/NT) swap data to the hard disk, the risk that sensitive data remains somewhere on the system cannot be completely eliminated. Don't forget that it is impossible to completely erase data off magnetic media. Electron tunneling microscopes even restore data being overwritten several times. So if you really have to keep a secret it could be cheaper to physically destroy the magnetic medium (after wiping a file) than loosing the secret.

Related topics

Steganos Shredder - Function


Steganos Shredder - Functions

logo_kb.gif (1911 Byte)

icon_SteganosShredder.gif (1234 Byte) Steganos Shredder - Functions

There are different ways to wipe files.

Using extended context menus

  1. Select the files you want to wipe in the Steganos Explorer.
  2. Click the right mouse button on one of the selected files. Choose Wipe... from the Steganos submenu. The Steganos Shredder is executed and displays a list of all selected files. Confirm your selection by clicking on Wipe... and then on Yes. The selected files are irrevocably wiped.

By drag and drop into the Steganos Shredder

  1. Start the Steganos Shredder by double clicking on the program's icon on the desktop (or start Steganos Shredder from the start menu).
  2. Drag and drop the file to be wiped into the Steganos Shredder's main window. The files will be listed in the Steganos Shredder.
  3. If the selection is correct click on Wipe... and confirm the following question with Yes. The selected files will be wiped.

By drag and drop on the Steganos program icon

  1. Drag and drop the files on the Steganos program icon on the desktop. The Steganos Shredder will be started and the files will be listed in the Steganos Shredder's main window.
  2. If the selection is correct click on Wipe... and confirm the following question with Yes. The selected files will be wiped.

Related topics

Steganos Shredder - Introduction


Steganos SysLock - Introduction

logo_kb.gif (1911 Byte)

Steganos SysLock

You have to leave your workplace for a moment. Are you sure that no one browses your hard drive while you are away? Steganos II SysLock locks up your system. You enter a password or create a KeyCard that authorizes you and only you to regain access to your system.

When your system is locked all programs continue to work normally: print jobs are carried out and downloads from the Internet continue in the background.

Note that the security of SysLock is in no way comparable to the rest of the Steganos II Security Suite. SysLock does not base on encryption . If you want to be absolutely sure that no one accesses your data you must encrypt it. Nevertheless SysLock is a useful addition to the suite.

After a hardware reset the trial version of the Steganos II Security Suite allows to quit SysLock before it relocks the system. This is virtually the only reduction of functionality in the trial version. This does not apply to the registered version.

Related topics


Steganos SysLock - Configuration

logo_kb.gif (1911 Byte)

Steganos SysLock - Configuration

Lock immediately on start

Choose this option if you want SysLock to lock up your system immediately after startup. This is useful if you want to switch off your system and you are not sure if someone will switch it on without your permission. A shortcut to SysLock must exist in the Autostart program group. Or if you do not want SysLock to be permanently active you can force SysLock to lock your system by simply running it.

Start minimized

If this option is activated the SysLock window will not be displayed after startup.

Hotkey to lock the system

Enter the hotkey to lock your system quickly here. Make sure that this hotkey is neither used by any other application nor Windows itself.

Change SysLock password

Click on this button to enter a new password by which you want to unlock your system once its locked.

Use Steganos KeyCard

If you own a drive for SmartCards and it is properly installed on your system you can create a KeyCard by which you can unlock your system in addition to your password.

Create KeyCard

Generates a password and saves it to the KeyCard. You don't have to remember a password at all. Simply enter your KeyCard into the drive and your system will be unlocked.

Lock immediately if KeyCard is removed

The system will be locked when you remove your KeyCard from the drive.

Activate alarm signal

SysLock can emit an alarm signal when an invalid password is entered to unlock the system. Choose this option to activate the alarm signal. You are able to determine if an unauthorized person tries to unlock your system if you are still in the vicinity. You can choose from using the internal speaker or playing a wave file. Click on Browse to choose a wave file. If you want to SysLock can loop the alarm endlessly.

Show image when system is locked

SysLock does not only lock your system it is also a simple screen saver. Choose this option if you want to display an image file when the system is locked.

Image file

Enter the image file here. The default setting is the file syslock.bmp. Click on Browse to choose another image file from your hard drive.

Resize image to fit screen

If the chosen image does not completely fit the screen you can force SysLock to resize the image.

Related topics

Steganos SysLock


Steganos screen saver

logo_kb.gif (1911 Byte)

Steganos screen saver

The Steganos screen saver does not display text, animations, or pictures or does by any other mean bring a monitor to life that is in most cases unattended. The Steganos screen saver is (like any other screen saver) activated upon a certain idle time. Idle time may be an indication that you have left you workplace and sensible data may be easily accessible without protection.

The Steganos screen saver detects this situation and performs two security measures:

  1. If Steganos SysLock runs, the System is locked.
  2. If the Steganos Safe is open, it is closed.

You can alter the idle time after which the screen saver is to be activated at Control panel | Display | Screen saver. Of course you can deactivate the Steganos screen saver or choose another screen saver if you do not want this functionality. The option for password protection is ignored because with SysLock there already is a password protection.

Related topics


Zero Emission Pad - introduction

Since decades international secret services use the fact that all electronic devices emit compromising rays. These rays can be used to recover a picture displayed by a monitor. Even if these rays passed walls and the receiver is many meters away. Together with our partner, the University of Cambridge (Great Britain), we offer you the possibility to defuse these compromising rays via software (patent-pending "Soft-Tempest"). The text editor Steganos II Zero Emission Pad is the world's first Windows editor that supports emission defusing display.

Zero Emission Pad: Conventional, interceptable screen output (top). Non-interceptable screen output in Steganos II (bottom).

Related topics


Zero Emission Pad - Functions

The secure SoftTempest display works automatically. You may use the Zero Emission Pad like an ordinary editor.

Finding characters and words

  1. Click on Find in the Find menu.
  2. Enter the text or word to search for.
  3. Then click Find again.

Note: The text to Search for is not displayed in Soft-Tempest mode.

Cut, copy, paste, and delete

These functions are completely the same as in the Windows notepad editor program. If you need help on these functions refer to the Windows documentation

Related topics

SoftTempest: compromising rays


Steganos Decryptor

logo_kb.gif (1911 Byte)

Steganos Decryptor

If your communication partner does not want to purchase Steganos II Security Suite in order to exchange data with you he may use the Steganos Decryptor. The Steganos Decryptor is able to decrypt Steganos encrypted files and carrier files. This program is free of charge and is not able to encrypt data. Using the Steganos Decryptor is very similar to Steganos 1.5 which helps upgraders getting used to the program.

You may freely copy and share the Steganos Decryptor.

Of course Steganos Decryptor can decrypt files that have been encrypted or hidden by Steganos 1.0, 1.5 or Steganos II Security Suite.

Related topics

Download Steganos Decryptor


Configuration

logo_kb.gif (1911 Byte)

Configuration

shot_config.gif (7814 Byte)

In the configuration window you can alter general settings for Steganos.

Standard password file

Specify the file to be opened automatically when the Password Management is activated. This option is set automatically when the Password Management is closed the first time.

Encrypt only (do not hide) by default

If this option is activated Steganos Explorer will use the function icon_EncryptOnly.gif (1221 Byte) by default. This is useful if you use the Steganos Explorer mainly for encryption and not for hiding data. The default setting is to hide and encrypt.

Use SmartCard support

If you encounter problems with SmartCard support you can deactivate it here. The SmartCard support is activated by default.


Enter passwords

Steganos frequently asks for password input.

Note: All passwords are case sensitive.

Password

Enter the password here. For security reasons the characters of the passwords are always hidden.

Confirm password

Enter the password a second time. This will detect potential spelling mistakes.

Password security

The bar displays how secure the chosen password is. If the bar meets the right side of the bar maximum security is reached.

Click on [image] to use a password formerly saved to the password management. Steganos will then ask you to enter the password for the standard password file.

Note: You must remember the password in order to decrypt the data. Once encrypted there is no other possibility to restore the data but entering the correct password. The Password Management offers a convenient and secure way to manage your passwords.

Entering a password to decrypt data.

Password

Enter the password which was used to encrypt data. For security reasons the characters of the password are always hidden.

Click on [image] to use a password formerly saved to the password management. Steganos will then ask you to enter the password for the standard password file.

Related topics


Creating random data

Random data is necessary for several cryptographic tasks. It is very important for key agreement (see InkA) and for automatic password generation.

Generating random data from the computer's resources is actually not possible because nothing is accidental to a processor. Often specialized hardware is used to generate random data - e.g. instruments that measure atomic decay. Another possibility is interacting with the user. That's why Steganos asks you to move the mouse. Even if you try to exactly move the mouse on the same path with the same speed and at the same time small variations make it possible to create 'real' random data.

Some programs generate random numbers from the system's time - this method is not applicable for high security applications.

Related topics


Carrier file wizard

logo_kb.gif (1911 Byte)

Carrier file wizard

The carrier file wizard is a powerful tool that helps you finding, searching, and creating applicable carrier files. The carrier file wizard always pops up when you decide to hide data.

shot_CCmain.gif (27805 Byte)

The carrier file wizard's main page

Here you choose what you want to do:

  • Choose Browse for carrier file to open a specific file on your hard drive or CD-ROM.
  • If you choose Automatic carrier file search your drives will be searched for carrier files that can carry the data to be hidden.
  • Choose Create a new carrier file to record a wave sound file or scan a picture by using a scanner device. The new data can be saved and be used as new carrier files.

Click on Next (or Finish) when you made your choice.

Browse for carrier file

shot_CCopen.gif (6601 Byte)

If you chose Browse for carrier file on the main page of the carrier file wizard you can now directly choose a file to carry the data to be hidden. After clicking on the file click on open. The carrier file wizard will inform you if the file can be used as a carrier file for the secret data or not.

Automatic carrier file search

shot_CCsearch.gif (10013 Byte)

If you chose Automatic carrier file search on the main page you will see this dialog. Choose the type of files that should be listed and choose where to search in for the potential carrier files. Then click on search. After a while all possible carrier files are listed. Click on the desired file and click on Finish.

Create a carrier file

shot_CCcreate.gif (27143 Byte)

If you chose Create a new carrier file on the main page you now have to decide whether to record a wave sound file or to scan a bitmap picture file. In order to create a picture file you must have a TWAIN compatible scanner device installed to your system. For recording a wave sound file a sound card and microphone or any other device connected to the line-in-input of your sound card is necessary.

Click on Next or Finish when you made your decision.

Record a wave soud file

shot_MCIrecorder.gif (4478 Byte)

If you chose to record a wave sound file the Steganos audio recorder will pop up. Click on button_MCIrecord.gif (970 Byte) to start recording. While recording the Steganos audio recorder displays how much time is yet to be recorded until the minimum capacity needed is reached. When the bar meets the right edge all data fit into the recorded file.

Click on button_MCIplay.gif (968 Byte) to play what you have just recorded. When you are finished click on Save & Exit. Enter a name for the new sound file (the extension is .WAV). The newly created carrier file will then be used to hide the data within.

If you click on More >> additional settings become available. For example you can choose the sound record format. It is recommended that you always record with the highest available quality (44,1 kHz, stereo, 16 Bit).

Create a bitmap image file

shot_CCacquire.gif (27185 Byte)

If you chose to scan a bitmap graphic file you will see this window. Click on select source to choose the input device. Normally you have only one. Then click on Acquire... to start the scanning process. Now the scanner device driver software is started. Follow the instructions of your scanner device driver.

Please select 24 bit color depth (16.7 M colors, TrueColor). Make sure that the horizontal resolution of the new picture is dividable by 4.

Related topics

First steps


How can I encrypt data on my laptop?

logo_kb.gif (1911 Byte)

How can I encrypt data on my laptop?

Especially when working with portable computers it is important to take care of your data. Imagine in whose hands a stolen laptop may fall. Product requirements for mobile data security are different than those in desktop security. Encryption must be done quickly and must not put high pressure on the laptops' performance.

The Steganos Safe

These requirements are met by the Steganos Safe . Steganos Safe provides you with a virtual drive on your laptop which you can use to store all sensitive data on. This drive can be encrypted by the touch of a button. And since the Steganos Safe is very compact it doesn't put pressure on the precious resources (hard drive space, CPU performance, power) when you're on the way.


How can I share encrypted files with someone who hasn't bought Steganos?

logo_kb.gif (1911 Byte)

How can I share encrypted files with someone who hasn't bought Steganos?

If your communication partner does not want to buy Steganos II Security Suite he or she can use the Steganos Decryptor . The Steganos Decryptor is free of charge and can decrypt Steganos encrypted files and carrier files but is not able to encrypt or hide data.

Related topics

Steganos encrypted file


How can I uninstall Steganos II Security Suite?

logo_kb.gif (1911 Byte)

How can I uninstall Steganos II Security Suite?

To uninstall Steganos II Security Suite do the following:

  1. Quit all programs of the Steganos II Security Suite. If at least one of the programs still runs the suite can't be deinstalled. This includes the file you are currently reading.
  2. Choose Steganos II Security Suite (English) from Control panel | Software | Install/uninstall and answer all questions positively with Yes.
  3. After uninstalling Under some circumstances files remain on your hard drive in the folder to which Steganos II Security Suite was originally installed. You can simply delete these files and the folder they are in.


How can I lock up my computer?

logo_kb.gif (1911 Byte)

How can I lock up my computer?

Steganos II SysLock locks up your system. Only by entering the correct password or a valid KeyCard can the system be unlocked.


Fingerprint

A digital fingerprint is a cryptographic checksum of constant length. Steganos uses a 160 bit checksum which is generated by the widely acknowledged SHA-1 algorithm.

Fingerprints are useful for detecting differences between two files. Two persons may generate the digital fingerprint of a file and compare the 40 digits of the fingerprint. If two local files are to be compared you can do this via drag and drop. Refer to Extended file properties.

Are the two fingerprints identical so are the two files. You can be absolutely sure that the two files are identical. No virus has entered the file, no hacker could have modified it.

An attacker is unable to modify the file without modifying the fingerprint, neither he can find two files with a similar fingerprint (each fingerprint is unique). Modifying a single byte in the file leads to a completely different fingerprint (avalanche effect).

Note: The fingerprint refers to the file's contents and its name (without path). Date and time stamp and file attributes are ignored.

Related topics


How can I decrypt files which have been encrypted by Steganos 1.5 or earlier?

logo_kb.gif (1911 Byte)

How can I decrypt files which have been encrypted by Steganos 1.5 or earlier?

If you want to decrypt a file which has been encrypted by Steganos 1.5 or earlier Steganos II Security Suite offers to decrypt the file with Steganos Decryptor . This program is operated exactly as Steganos 1.5 or earlier so upgraders who are familiar with this process can encrypt their data the same way they are used to.


How can I change the password of a Steganos encrypted file or carrier file?

logo_kb.gif (1911 Byte)

How can I change the password of a Steganos encrypted file or carrier file?

After decrypting an encrypted file you can change it's password. To do this, click on this button icon_ChangePw.gif (997 Byte) . You will then be asked to enter the new password twice. Click on OK when you are finished. When you click on the button icon_CloseAndSecure.gif (1069 Byte) the file will be encrypted with the new password.

This applies to the Steganos Explorer and the Password Management .

Related topics

Change password of the Steganos Safe


How can I convert graphic files that contain hidden data?

It is possible to convert pictures that contain hidden data into other formats (BMP into GIF files for example). This file can be reconverted to its original file type (from GIF to BMP) and data can be decrypted.

Note: A conversion is a very complex task which is done differently by different programs. Before you rely on the integrity of hidden data do a test run with your graphic conversion software.

Conversion will fail if algorithms are used that accomplish compression by reduction of information. The JPEG-format for example uses the Discrete Cosines Transformation-Algorithm which compresses the picture by not saving information that the human eye can't see. Data that is hidden in such a picture will get lost upon conversion.

Related topics

What is steganography


How can I manage all my password at one place?

logo_kb.gif (1911 Byte)

How can I manage all my passwords at one place?

Simply use the Steganos Password Management .


How can I find suitable carrier files?

logo_kb.gif (1911 Byte)

How can I find suitable carrier files?

The Carrier file wizard helps you finding and creating suitable carrier files.

Related topics

What is a carrier file?


How can I create new carrier files?

logo_kb.gif (1911 Byte)

How can I create new carrier files?

The Carrier file wizard helps you finding and creating suitable carrier files.

Related topics

What is a carrier file?


How can I wipe files and folders?

logo_kb.gif (1911 Byte)

How can I wipe files and folders?

The Steganos Shredder wipes files and folders. Read about wiping files in First steps .


How can I choose a secure password?

The security of your data is only as good as your password. When choosing a password the most important is to use a password only once. Each file or service should have it's own password. If you can't remember all your passwords use the Steganos II Password Management to keep track on them.

Bad passwords

  • names, phone numbers and other personal information
  • words that occur in databases, dictionaries, or encyclopedias
  • passwords that occurred in TV series or movies (e.g. War Games, Sneakers, and The X-Files)
  • swearwords and invectives
  • keyboard patterns (e.g. QWERTY)
  • simple character strings and numbers (e.g. AAAAA or 123123)

Good passwords

  • Relatively secure are two or more words separated by punctuation characters. The words should not make any sense in combination (e.g. BLOATED:BEAR)
  • Very secure are random strings of characters, numbers, and special characters. Steganos can automatically generate such passwords.
    (e.g. 2R4e1D%l7u7#M )
    These passwords are not easy to remember but you can use the Steganos II Password Management to store them at one place protected by only one password that you must remember.

Note that BLOATED:BEAR and 2R4e1D%l7u7#M are no good passwords anymore because they are used as examples here.

Related topics


How can I hide files and folders?

logo_kb.gif (1911 Byte)

How can I hide files and folders?

To encrypt files and folders via Steganos Explorer read the Hide files section at first steps .

You can also use the extended context menu in the Windows Explorer to hide files.


How can I encrypt files and folders?

logo_kb.gif (1911 Byte)

How can I encrypt files and folders?

To encrypt files and folders via Steganos Explorer read the Encrypt files section at First steps .

You can also use the extended context menu in the Windows Explorer to encrypt files.


How can I decrypt files and folders?

logo_kb.gif (1911 Byte)

How can I decrypt files and folders?

To decrypt files and folders via Steganos Explorer read the Decrypt encrypted files section at first steps .

You can also use the extended context menu in the Windows Explorer to decrypt files.


What is cryptography?

Cryptography is the science of rendering information unreadable to others.

According to a study from Information Week and Price Waterhouse Coopers only few companies use encryption although they know about immediate danger. Is your business relevant information encrypted? This question was answered as follows:

chart_UsingCryptography.gif (5212 Byte)

Source: Information Week and Pricewaterhouse Coopers

Encryption systems have been used to protect secrets since millenniums. But they have never been as reliable as today. Modern computer technology, military research, and electronic commerce helped making encryption algorithms freely accessible and documented.

The book Applied Cryptography by Bruce Schneier is one of the most important publications on this subject.

Modern cryptography distinguishes encryption methods in different categories. This does not judge the level of security. The most important category is the distinction between symmetric (secret key) and asymmetric (public key) systems.

If a secret key system (like Steganos) is used a key must be negotiated between communication partners. Programs that base on asymmetric encryption work differently. Imagine a mailbox: everyone can put something in (encrypt) but only the owner can read it (decrypt).

InKA allows you to agree on a key with a communication partner comfortable and securely.

These are the most important encryption algorithms:

Algorithm | Invented by | Type
Blowfish | Schneier | symmetrical
DES | IBM | symmetrical
Diffie-Hellman | Diffie, Hellman | key agreement
IDEA | Lai, Messey | symmetrical
RC4 | RSA | symmetrical
RSA | RSA | asymmetrical
Skipjack | NSA | symmetrical

Until now only one system is assumed to be absolutely secure: the one time pad or Vernam-encryption (named after its inventor). As early as 1917 Gilbert S. Vernam who worked for AT&T at this time has invented this system to protect teleprinter communication. Unfortunately this method is rarely applicable because the key used for encryption must be at least as long as the communicated data. Rumors say that the Red phone between Washington and Moscow is secured by a one time pad.

Related topics


What is steganography?

Steganography [from Greek]: write under protection; write covered

Steganography is the art and science of hiding information.

The most well known technique of steganography is invisible ink. The information age yields completely new methods and very powerful techniques.

Steganos applies two completely different methods for hiding data inside files. Both methods alter neither the file's attributes nor their time stamps.

Hiding data inside graphic and sound files

Steganos uses the least significant bit of a data element to hide information within. A data element are 8 bit (1 bye) in a 8 bit file and 16 bit (2 byte) in a 16 bit file. For example Steganos uses the least significant bits in a 8 bit wave form file to hide data therein. These slight modifications can't be recognized by the human ear because of the background noise. So the data is actually hidden. In picture files pixel colors are slightly modified but not significant enough to annoy the human viewer.

Steganos does not hide data within the header of files.

DyCeS (Dynamic Cell Spreading)

DEMCOM developed the DyCeS algorithm which causes the modification of bits to be spread all over the file. This decreases the chance to detect (not decrypt) hidden data. The algorithm is specially designed for hiding data inside sound and picture files.

Hiding data in text files

To hide data within text files Steganos adds tabs and spaces to the end of lines. Steganos hides one byte per text line (8 bit are represented as a combination of 8 tabulator characters and spaces). Compared to the technique of hiding data inside graphic and sound files this method can be easily detected. This method is not recommended of you have the choice.

Why combining cryptography and steganography

If "only" encryption is used to protect your data information is not readable to others. But it is obvious that you have a secret.

If you use "only" steganography your data is invisible. But simply by checking all possible files for hidden data it would be possible to restore hidden data.

Steganos combines these two powerful techniques. Data which is hidden and encrypted by Steganos is unlikely to be found and virtually impossible to be decrypted.

Related topics


Historical aspects

Encryption is used since secrets exist. Through the time of the milleniums people from all over the world developed different systems.

In the beginning cryptography was not considered as science. Secret writing was often associated with black magic and mysticism.

In modern times the magic of numbers experiences a renaissance. The movie Pi (1998) is about finding the world formular represented as a single number.

Even in Goethe's Faust there's a connection between cryptography and magic. In the Witch's Kitchen Mephisto says*:

It was the way in all the ages,
Through Three and One, and One and Three,
Error instead of truth to scatter.
Thus do men prate and teach untroubledly.
With fools who'll bandy wordy chatter?
Men oft believe, if only they hear wordy pother,
That there must surely be in it some thought or other.

A very popular encryption method is the Skytale. It was used in the ancient Greek. A Skytale is a wooden stick on which a fabric stripe is wrapped around. Then a secret message is written on the fabric. The fabric stripe is unwrapped an transported. The receiver of the message can only decrypt the message if he has a stick with the same diameter as the sender.

The Greek also applied a special form of steganography. A slave's head was used to transport secret messages. The slave's head was shaved and the message was tattooed on the bare scull. After a few weeks of hair regrowth there was no indication of a secret message. Now the slave was sent to the receiver who only needed to reshave the slave's head to read the message. Historians suppose that the slaves used as messengers were decapitated in order to ensure that no one else ever reads the message.

One of the most well-known encryption methods is the so called Caesar-Cipher. Every character in a text is substituted by the character that is placed three characters later in the alphabet. (e.g. A is substituted by D.) Today statistical analysis makes it easy to crack this method.

During WWII German forces used the Enigma to encrypt communication. Enigma looks like a typewriter - messages were entered via a keyboard and encrypted - easy and comfortable. Around the end of WWII the Briton Alan M. Turing cracked the Enigma.

Even steganography was used during the two World Wars. Invisible ink - today considered as child's play - was used professionally. Two kinds of invisible ink were employed: organic ink (milk, vinegar, urine) and synthetic products. The message is only visible if a certain substance is applied on the letter. Letters that were sent between Germany and the U.S. were often opened a checked for invisible ink. To apply all the different substances for the different kinds of invisible ink was a great problem. In 1945 Germans developed a technique based on ultraviolet light that made it possible to detect nearly all kinds invisible ink.

Modern computer technology offer completely new and efficient possibilities of cryptography and steganography. In 1976 the scientists Diffie and Hellman developed a very important technique for key agreement that can only be used with computers.

The most comprehensive book about the history of encryption is David Kahn's The Codebreakers.

*) English translation by George Madison Priest

Related topics


Cryptanalysis - 128 bit do not mean anything

Cryptanalysis is the counterpart to cryptography. Cryptanalysis is the process of recovering encrypted information without the key that was used for encryption.

There are many different possibilities for cracking encryption systems - the vast majority is based on complex mathematical set-ups. The most simple (but also most time consuming) method is to check all possible keys. It should be obvious that this method is not aplicable to 128 bit encryption. This is one of the reasons why 'strong' encryption is prohibited in several countries.

There are two scientific laws which prove that the method of checking keys will increase in speed:

  • Moore's law states that the calculation speed of computers available for the same price doubles every 18 months.
  • Amdahl's law states that some tasks can be performed by multiple computers (e.g. linked via the internet). Searching keys is one of these tasks.

Another important mean in breaking encryption systems is statistic: e is the most frequent letter in the English, German, French, and Spanish language. Repeating text strings like kind regards may eventually endanger the security of weak encryption systems. Compression decreases the possibility of breaking encryption this way.

Contemporary (trustworthy) encryption algorithms are immune to these kinds of attack assuming that no backdoors exist.

A very effective mean against encryption which has nothing to do with mathematics is attacking the user himself. Often employees are forced to reveal passwords by bribery, blackmail, or even physical violence.

Related topics


Mathematical dimensions or how old is mother earth?

From time to time you read about very huge numbers in connection with cryptography. The dimensions of these numbers are gigantic. This list may give you an idea of these dimensions. You can compare popular key lengths with some numbers from nature.

2 to power of | Approximates to
30 | Age of planet earth (in years)
33 | Probability of being killed by a lightning (per day)
61 | Lifetime of universe in seconds
128 | Amount of possible keys used by Steganos
170 | Amount of atoms on our planet
223 | Amount of atoms in our galaxy
2048 | Amount of possible Steganos-InKA keys

The probability of being killed by a lightning is 2³³ to 1, this is about 8.5 billion to 1.

Note: 128 bit provide are maximum security. For most private and commercial applications 60 bit key length is sufficient.

Related topics

Algorithms used in Steganos


Snake oil

Today untrustworthy encryption is widely spread. It is called Snake oli. This is an allusion to the quack doctors of the last century who distributed faked miracle cures by doing hair-raising promises. Contemporary encryption software manufacturer's promises are sometimes in no way inferior to those of the past.

From time to time you read about new developments which are allegedly unbreakable. Often secret home made developments are employed. In most cases these algorithms are developed by programmers without necessary background information. And the user is not able to determine the decisive difference.

As early as 1883 the Dutch cryptographer Auguste Kerckhoff stated in his book La Cryptographie militaire that only the key used for encryption is a secret - the algorithm by which encryption is performed is not. The algorithm should be publicly available so that possible failures are detected quickly and efficiently.

The best algorithms are worthless if programs provide so called backdoors. These backdoors allow to avoid the security mechanism by a master password.

Another kind of these backdoors are limited key lengths. Many countries restrict the use of 'strong cryptography' and others - like the U.S. - prohibit the export.

Steganos, of course, uses only documented and unrestricted encryption algorithms. There are no backdoors.

Related topics


Algorithms used

We are security experts, not mystery-mongers. Read which algorithms are used in Steganos II Security Suite and why.

Cosmo Player Logo

Encryption

Strong RC4 compatible encryption with 128 bit key length (RC4 is a registered trademark of RSA Data Securities Inc.). Key creation by SHA-1. This encryption method is classified as munitions by the U.S. and therefore must not be exported from the U.S.
Used in: Steganos Explorer, Password Management, TrustLink 3D. Safe

Steganography

Always in combination with encryption (see above). DEMCOM's DyCeS algorithm (Dynamic Cell Spreading) is used for optimal spreading of data within carrier files (not in connection with ASCII-steganography).
Used in: Steganos Explorer, Password Management, TrustLink 3D

Integrity check

Generation of 160 bit long file fingerprints by SHA-1. Every modification, intended or not, is detected.
Used in: Password Management, TrustLink 3D, Extended context menu

Key agreement

Invisible key agreement (InKA) by use of 2048 bit Diffie-Hellman-algorithm (DH).
Used in: Password Management.

Soft-Tempest

Monitors and graphic adapter emit compromising rays. Soft-Tempest technology makes it far more difficult to receive these rays. Licensed from the University of Cambridge, Great Britain. Patent pending (GB 9801745.2).
Used in: Zero-Emission-Pad

Data wiping

Conforms to the norm of U.S. Department of Defense DOD 5220.22-M/NISPOM 8-306 and is even more secure. Not only file contents but also filename, size, date and time stamp, and file attributes are wiped.
Used in: Steganos Explorer, Password Management, TrustLink 3D, Safe, Shredder, Extended context menu

Related topics


Compromising rays

zep.gif (10927 Byte) Since decades international secret services employ the technique of intercepting compromising rays emitted by electronical devices such as PCs and monitors. Many meters and even walls may separate the listener and the computer from which the monitor picture can be reproduced. Only few users are aware of this danger.

The most widely used defense against this kind of eavesdropping are expensive specially build computers that notably decrease the intensity of emitted rays. These aluminium covered computer are far more expensive than their unshielded counterparts and must be permanently maintained. These computers are often referred as TEMPEST-secure (TEMPEST: Transient Electromagnetic Pulse Emanation Standard). Some manufacturers that offer this kind of hardware are suspected to share their customer data with secret service organizations.

Other countermeasures are emission proof tents and specialized disruptive transmitters.

Together with our partner the University of Cambridge (Great Britain) we offer you the possibility to defuse these compromising emission by means of software ("Soft-Tempest"). The newly designed text editor Steganos II Zero Emission Pad is the world's first Windows editor to support the emission defusing display (patent pending GB 9801745.2).

Related topics

Zero Emission Pad - introduction


SmartCards

Steganos II Security Suite supports SmartCards. SmartCards look very similar to credit cards. You can use SmartCards as a comfortable KeyCard to unlock your SysLock protected PC. In addition to that the Password Management is able to store passwords on these cards.

SmartCards are widely spread since the introduction of phone cards and electronic cash.

SmartCard will most probably replace magnetic cards during the next years. SmartCards are far more flexible than their predecessors because they can carry specialized processing units.

Related topics


Espionage

A potential attacker can be the colleague in your company as well as service personnel which is ordered to fix a problem in your PC. But who are these professional investigators and what are their aims?

Information that leads to an competitive advantages attracts snoopers most:

chart_EspionageTargets.gif (5624 Byte)

Typical targets of espionage (Source: Heffernan)

Data espionage in the digital age requires well trained and informed personnel. Hackers and secret services meet these requirements.

The hacker

The most well-known group of data thieves are the hackers. They and their sub culture is subject of films like War Games.

Hackers are motivated differently. They are made up by

  • technical challenge
  • social reasons
  • political reasons
  • financial interests

Articles in the press and other publications often create the impression that hackers are always criminal and 'hacking' is a form of modern organized crime. For most hackers this is not true - they hack because of technical interest and the feeling of adventure.

Secret services

foto_RadioInterception.gif (47945 Byte) Secret services are very well organized. Eavesdropping is their profession. Leader in the field is the National Security Agency (NSA) which employs more than 37,000 persons. The NSA cooperates with friendly secret services in operating a world wide surveillance network. This billion dollar project is named Echelon.

One of the most important surveillance posts is situated in the German town of Bad Aibling. From there NSA eavesdrops wireless communication in central Europe. The biggest surveillance site can be found at Menwith Hill on the British isle - satellites are overheard as well as micro-wave links. Even deep sea wires are not safe from being eavesdropped at - special sub marines are deployed to tap these communication lines.

Echelon automatically searches emails and fax for keywords. Even phone calls are analyzed by digital means. By language detection it is possible to identify the speaking person. In the movie Enemy to the State this technology could be seen - but it actually exists. No matter which device you use Echelon tape-records your call. All gathered information is then analysed by secret service personnel.

There are indications that this collected information is used to reveal business secrets. NSA is suspected to provide US companies with information from competitors.

The source for most of the information about Echelon is the document Development Of Surveillance Technology And Risk Of Abuse Of Economic Information. It has been released by the European Parliament in April 1999.

The book The Codebreakers describes the history of the NSA and other US secret services in detail.

Many companies woo personnel away from government institutions. Creating a private secret service is more or less only a matter of budget and this makes companies able to spy on their competitors.

Related topics


Recommended literature

Recommended reading

DEMCOM provides you with a current list of recommended books on computer security in the DEMCOM Security Bookshop. You'll find standards like Bruce Schneier's Applied Cryptography but also other interesting works like The Codebreakers by David Kahn.

DEMCOM cooperates with amazon.com so you can order your books right away.

Related topics

DEMCOM Security Bookshop (online)


Cryptography

Cryptography is the art of bringing information into a form that renders it unreadable to others. Often the term encryption is used, too.

Related topics

Details on cryptography


Password

A password is a character string which is used as a key to encrypt files. Often the term passphrase is used, too.

Note: It is strongly recommended to change your passwords frequently. The Password Management helps you to keep a track on the passwords you use.

Related topics


Password entry

logo_kb.gif (1911 Byte)

Password entry

A password lists consists of password entries. The following password entries are possible:

Password

All passwords which cannot be categorized more precisely.

TrustLink

TrustLinks are special password entries whose password directly refers to a file.

Fingerprint

A fingerprint can be used to identify a file. You cannot enter a password here.

User account

A user account additionally contains a user name.

Online account

The online account also contains a user name and an Internet address to which Steganos can connect you.

POP3 account

This password entry can be used to manage the settings for a POP3 email account. You can enter SMTP and POP3 server addresses.

T-Online account

This password entry is especially for T-Online users. You can enter all information on your T-Online account and connect to T-Online.

CompuServe account

This password entry is especially for CompuServe users. You can even connect to the CompuServe service for changing your password online.

AOL account

This password entry is especially for AOL users. You may connect to AOL directly.

Bank account

You can enter all relevant information on your bank account here. Even though not all of this data is secret you can store it all in one place.

Mobile phone

Using a mobile phone you'll have to keep track of many new PINs, codes, and numbers. Store all of them into the mobile phone password entry.


Password list

logo_kb.gif (1911 Byte)

Password list

Every Steganos encrypted file and every carrier file can contain a password list. Every Steganos encrypted file or carrier file can be opened in the Password Management after entering the correct password.

SmartCards can carry a password list, too.

Related topics


Steganography

Steganography [from Greek: steganos]: write under protection; write covered

Steganography is the science and art of hiding information. An example for steganography is invisible ink which was used during World War I and II.

Related topics


Steganos encrypted file

logo_kb.gif (1911 Byte)

icon_SEF.gif (1353 Byte) Steganos Encrypted File (SEF file)

What is a SEF file?

If you decide not to hide your data but only to encrypt them an SEF file is created. SEF files are not only encrypted but also compressed.

Related topics

How can I encrypt files?


Carrier file

logo_kb.gif (1911 Byte)

What is a carrier file?

A carrier file is a file in which other files can be hidden.

What carrier file types does Steganos II Security Suite support?

  • Bitmap files (BMP, DIB). The bitmap files must be RGB encoded (compressed bitmaps are not supported). The pictures may vary from 16 colors (4 bit) to 16.7 M colors (24 bit). It is strongly recommended to use only 16.7 M color pictures. If you choose to use a 16 color or 256 color bitmap Steganos will ask whether to increase the bitmap's color depth to 16.7 M colors. It is less suspicious to hide data within 16.7 M color pictures so you should confirm the conversion. In addition to that the width (the horizontal resolution) of the picture must be dividable by 4. The carrier file wizard helps you finding appropriate carrier files and creating new pictures by using a scanner device.
  • Sound files (WAV, VOC) and all subformats. Sound files are ideal for hiding data within because the carrier file wizard can easily create very large files.
  • Text files (TXT, HTML, etc.). Although Steganos supports hiding data into text files (this includes HTML documents) this method is not recommended because it can be easily detected. Text files in Unix or Amiga format are not supported.

How to choose an appropriate carrier file?

The carrier file wizard makes finding carrier files easy. It automatically searches carrier files that have the capacity needed. But please note the following: Do not use files which are accessible to the public (pictures from popular CD-ROMs or web sites). By comparing the file containing hidden data with its unmodified original the existence of hidden data can be proven. Of course the data remains unreadable unless the correct password is entered.

Related topics


Order information

logo_kb.gif (1911 Byte)

Order information

Thank you for your interest in the Steganos II Security Suite.

Order by phone: Call 1-202-293-5151

Order by mail, fax, or email

Click on Order by mail, fax, or email in the Steganos II program group in the start menu.

Order online

Click here: button_OrderOnline.gif (3321 Byte)

If you have further questions on ordering please contact CenturionSoft here .


Customer service

logo_kb.gif (1911 Byte)

Customer service

Distribution and support

If you want to order your registered copy of Steganos II Security Suite please click here. If you have questions concerning Steganos II Security Suite or Steganos distribution please contact CenturionSoft.

CenturionSoft
2000 P Street, N.W.
Suite 305
Washington, D.C. 20036
USA

Phone: 1-202-293-5151
Fax: 1-202-293-6942.
Email: sales@centurionsoft.com

http://www.centurionsoft.com

Technical questions

If you have questions on cryptography, steganography, and data security in general please contact DEMCOM.

WWW: http://www.steganography.com
Email: steganos-support@steganography.com


Komponentenleiste

logo_kb.gif (1911 Byte)

Component bar

shot_ComponentBar.gif (7726 Byte) The component bar is displayed on the left margin of the Steganos II Security Suite. All parts of the suite are accessible through the component bar. Click the left mouse button on the component you want to activate.


Sicherheitsbereich

logo_kb.gif (1911 Byte)

The secure space

The secure space is an essential part of the Steganos Explorer . All files you want to hide or encrypt need to be put into the secure space before.

How do files and folders get into the secure space?

You put files and folders in the secure space by selecting them in the Steganos Explorer and then clicking on icon_CopyToSecureSpace.gif (1308 Byte) or icon_MoveToSecureSpace.gif (1342 Byte) .

You may also use Drag-and-Drop to put files into the secure space: Dragging the desired files with the left mouse button into the secure space will copy the files there. Using the right mouse button Steganos will ask you whether to copy or move the files.

When closing the secure space by clicking on icon_CloseAndSecure.gif (1069 Byte), all files and folders in the secure space will be encrypted and hidden (if desired).

Related topics

First steps


Snake oil

Snake oil is equivalent to untrustworthy encryption. Many companies invent new algorithms and make the user believe they are safe. Very often these new inventions do not keep their promise.

Related topics

How to detect untrustworthy encryption